#include "windows.h"
#include "globals.h"

#ifdef WIN32
#include <winver.h>
#else
#include <ver.h>
#endif


APPNAME ICON ICONFILE

; Bring in the dialogs:
RCINCLUDE ABOUT.DLG

APPNAME MENU
BEGIN
  POPUP "&File"
    BEGIN
      MENUITEM    "&New",           IDM_FILENEW
      MENUITEM    "&Open...",       IDM_FILEOPEN
      MENUITEM    "&Save",          IDM_FILESAVE
      MENUITEM    "Save &As...",    IDM_FILESAVEAS
      MENUITEM    SEPARATOR
      MENUITEM    "&Print...",      IDM_FILEPRINT
      MENUITEM    "P&rint Setup...",IDM_FILEPRINTSU
      MENUITEM    SEPARATOR
      MENUITEM    "E&xit",             IDM_EXIT
    END

  POPUP "&Edit"
    BEGIN
      MENUITEM    "&Undo\tCtrl+Z",       IDM_UNDO   ,GRAYED
      MENUITEM    SEPARATOR
      MENUITEM    "Cu&t\tCtrl+X",        IDM_CUT
      MENUITEM    "&Copy\tCtrl+C",       IDM_COPY
      MENUITEM    "&Paste\tCtrl+V",      IDM_PASTE  ,GRAYED
      MENUITEM    "&Delete\tDel",        IDM_CLEAR
    END

  POPUP "&Search"
    BEGIN
      MENUITEM    "&Find...",           IDM_FIND
      MENUITEM    "Find &Next\tF3",     IDM_FINDNEXT
      MENUITEM    "Find &Previous\tF4", IDM_FINDPREV
      MENUITEM    "&Replace...",        IDM_REPLACE
    END


  POPUP "&Help"
    BEGIN
      MENUITEM "&About...", IDM_ABOUT
    END
END


APPNAME ACCELERATORS
BEGIN
    VK_F3,      IDM_FINDNEXT,VIRTKEY
    VK_F4,      IDM_FINDPREV,VIRTKEY
    "Z",        IDM_UNDO,    CONTROL, VIRTKEY
    "X",        IDM_CUT,     CONTROL, VIRTKEY
    "C",        IDM_COPY,    CONTROL, VIRTKEY
    "V",        IDM_PASTE,   CONTROL, VIRTKEY
    VK_DELETE,  IDM_CLEAR,            VIRTKEY
END

STRINGTABLE
BEGIN
    IDS_APPNAME,        SZAPPNAME
    IDS_DESCRIPTION,    SZDESCRIPTION
    IDS_FILTERSTRING, "Text File(*.TXT)|*.txt|"
END

ABORTDLG DIALOG DISCARDABLE  20, 20, 90, 64
STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
CAPTION "PrntFile"
BEGIN
    DEFPUSHBUTTON   "Cancel",IDCANCEL,29,44,32,14,WS_GROUP
    CTEXT           "Sending",-1,0,8,90,8
    CTEXT           "text",IDC_FILENAME,0,18,90,8
    CTEXT           "to print spooler.",-1,0,28,90,8
END

; Version stamping information:

VS_VERSION_INFO VERSIONINFO
FILEVERSION     4,0,0,0
PRODUCTVERSION  4,0,0,0
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE|VS_FF_DEBUG)
FILEOS          VOS_DOS_WINDOWS16
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE SZRCOMPANYNAME,   "Microsoft Corporation\0"
            VALUE SZRDESCRIPTION,   SZDESCRIPTION "\0"
            VALUE SZRVERSION,       SZVERSION "\0"
            VALUE SZRAPPNAME,       SZAPPNAME "\0"
            VALUE SZRCOPYRIGHT,     "Copyright \251 Microsoft Corp. 1990-1994\0"
            VALUE SZRTRADEMARK,     "Microsoft\256 is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation"
            VALUE SZRPRODNAME,      SZAPPNAME "\0"
            VALUE SZRPRODVER,       SZVERSION "\0"
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252
    END
END
